/*
 * This file is part of din.
 *
 * din is copyright (c) 2006 - 2011 S Jagannathan <jag@dinisnoise.org>
 * For more information, please visit http://dinisnoise.org
 *
 * din is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * din is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with din.  If not, see <http://www.gnu.org/licenses/>.
 *
*/
#ifndef __NOTE
#define __NOTE

void hz2step (float& hz, float& step);

struct note {

  //
  // a musical note - also a tone
  //

  float frequency;
  float step; // amount to step in x along the waveform every sample to get the audio output at that sample.
	float octave_position; // octave number + note position in octave

	note ();
	float get_frequency ();
	void set_frequency (float f);

};



#endif
