/*
 * This file is part of din.
 *
 * din is copyright (c) 2006 - 2011 S Jagannathan <jag@dinisnoise.org>
 * For more information, please visit http://dinisnoise.org
 *
 * din is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * din is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with din.  If not, see <http://www.gnu.org/licenses/>.
 *
*/
#include "note.h"

note::note () {

  octave_position = 0;
  frequency = 0;
  step = 0;

}

void note::set_frequency (float f) {

  frequency = f;
  hz2step (f, step);

}

float note::get_frequency () {
  return frequency;
}

void hz2step (float& hz, float& step) {
  extern int SAMPLE_RATE;
  step = hz * 1.0 / SAMPLE_RATE;
}

